petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecCUSPRestoreArrayReadWrite

Restore a CUSP device vector previously acquired with VecCUSPGetArrayReadWrite().

### Synopsis

    PETSC_EXTERN PetscErrorCode VecCUSPRestoreArrayReadWrite(Vec v, CUSPARRAY **a)

This marks the host data as out of date. Subsequent access to the Many brvector data on the host side with for instance VecGetArray() incurs a Many brdata transfer. Many br

### Input Parameter

| v | - the vector Many br
| a | - the CUSP device vector. This pointer is invalid after Many brVecCUSPRestoreArrayReadWrite() returns. Many br

### Fortran note

This function is not currently available from Fortran. Many br

Many br

### See Also

VecCUSPGetCUDAArrayRead(), VecCUSPGetCUDAArrayWrite(), VecCUSPGetArrayReadWrite(), VecCUSPGetArrayRead(), VecCUSPGetArrayWrite(), VecGetArray(), VecRestoreArray(), VecGetArrayRead()

Level:intermediate
Location:src/vec/vec/impls/seq/seqcusp/veccusp2.cu
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages